unbound-streamtcp(1)

NAME

unbound-streamtcp - unbound DNS lookup utility

SYNOPSIS

unbound-streamtcp [-unsh] [-f ipaddr[@port]] name type class

DESCRIPTION

unbound-streamtcp sends a DNS Query of the given type and class for the given name to the DNS server over TCP and displays the response.

If the server to query is not given using the -f option then localhost (127.0.0.1) is used. More queries can be given on one commandline, they are resolved in sequence.

The available options are:

name
    This name is resolved (looked up in the DNS).

type
    Specify the type of data to lookup.

class
    Specify the class to lookup for.

-u  Use UDP instead of TCP. No retries are attempted.

-n  Do not wait for the answer.

-s  Use SSL.

-h  Print program usage.

-f ipaddr[@port]
    Specify the server to send the queries to. If not specified localhost (127.0.0.1) is used.

EXAMPLES

Some examples of use.

$ unbound-streamtcp www.example.com A IN

$ unbound-streamtcp -f 192.168.1.1 www.example.com SOA IN

$ unbound-streamtcp -f 192.168.1.1@1234 153.1.168.192.in-addr.arpa. PTR IN

EXIT CODE
The unbound-streamtcp program exits with status code 1 on error, 0 on no error.

AUTHOR
This manual page was written by Tomas Hozza <thozza@redhat.com>.